[llvm-dev] Clang not work

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[llvm-dev] Clang not work

Robin Eklind via llvm-dev
Hi

I installed the llvm and clang according to the official documentation.

Then I add the build/bin path to the environment and source the bashrc.

My OS is ubuntu 14.04. However, when I typed clang --version. I have the following exception

The program 'clang' can be found in the following packages:
 * clang-3.3
 * clang-3.4
 * clang-3.5
Try: sudo apt-get install <selected package>

The other binaries like llvm-ar works well. Do anyone know the reason? Many thanks

Regards
Muhui

_______________________________________________
LLVM Developers mailing list
[hidden email]
http://lists.llvm.org/cgi-bin/mailman/listinfo/llvm-dev
Reply | Threaded
Open this post in threaded view
|

Re: [llvm-dev] Clang not work

Robin Eklind via llvm-dev
Hi,

Have you looked in your build/bin path? Is there a clang binary? Isn't it suffixed with a version instead?

Best,

-- 
Mehdi


Le lun. 14 mai 2018 à 20:30, Muhui Jiang via llvm-dev <[hidden email]> a écrit :
Hi

I installed the llvm and clang according to the official documentation.

Then I add the build/bin path to the environment and source the bashrc.

My OS is ubuntu 14.04. However, when I typed clang --version. I have the following exception

The program 'clang' can be found in the following packages:
 * clang-3.3
 * clang-3.4
 * clang-3.5
Try: sudo apt-get install <selected package>

The other binaries like llvm-ar works well. Do anyone know the reason? Many thanks

Regards
Muhui
_______________________________________________
LLVM Developers mailing list
[hidden email]
http://lists.llvm.org/cgi-bin/mailman/listinfo/llvm-dev

_______________________________________________
LLVM Developers mailing list
[hidden email]
http://lists.llvm.org/cgi-bin/mailman/listinfo/llvm-dev